# $Revision: 1.8 $, $Date: 2007/03/25 16:21:55 $
#TODO
# - rc.init script
#
Summary:	The regulatory daemon for controlling and configuring ipw3945 cards
Summary(pl.UTF-8):	Demon do kontrolowania i konfigurowania kart ipw3945
Name:		ipw3945d
Version:	1.7.22
Release:	1
License:	Intel Limited patents license
Group:		Applications/demon
Source0:	http://bughost.org/ipw3945/daemon/%{name}-%{version}.tgz
# Source0-md5:	097888f5be05eb2b9b87dcdbeeb948ce
#Source1:	%{name}-rc.init
URL:		http://ipw3945.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.228
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The regulatory daemon is responsible for controlling and configuring
aspects of the hardware required to operate the device within
compliance of various regulatory agencies. This includes controlling
which channels are allowed to do active/passive scanning, transmit
power levels, which channels are allowed to be transmitted on, and 
support for IEEE 802.11h (DFS and TPC).

%description -l pl.UTF-8
Demon regulujący jest odpowiedzialny za kontrolowanie i konfigurowanie
sprzętu wymagane do używania urządzeń zgodnie z żądaniami agencji
regulujących. Obejmuje to kontrolę, których kanałów można używać do
aktywnego i pasywnego skanowania oraz transmisji, kontrolę poziomu
sygnału transmisji oraz obsługę IEEE 802.11h (DFS i TPC).

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,/etc/rc.d/init.d}

%ifarch %{ix86}
install x86/%{name} $RPM_BUILD_ROOT/sbin
%endif
%ifarch %{x8664}
install x86_64/%{name} $RPM_BUILD_ROOT/sbin
%endif

#install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun 
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc LICENSE.ipw3945d README.ipw3945d
%attr(755,root,root) /sbin/*
#%%attr(754,root,root) /etc/rc.d/init.d/%{name}
#%%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipw3945d.spec,v $
Revision 1.8  2007/03/25 16:21:55  shadzik
- rel 1

Revision 1.7  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.5  2007/02/04 14:33:38  areq
- typo

Revision 1.4  2006/08/19 19:00:33  qboosh
- pl
- definitely not noarch; added EA and x8664 support
- don't require kernel in userspace package

Revision 1.3  2006/08/06 21:49:36  wolvverine
- add R

Revision 1.2  2006/08/06 21:23:54  wolvverine
- add R

Revision 1.1  2006/08/06 20:33:07  wolvverine
- init, NFY
